#property copyright "Copyright  2011, sangmane"

extern double Lots = 0.1;
extern double SL=50;
extern bool      tradingtimes = true; // if you want the EA to trade during particular hours, set this to true
extern int       starttime = 1; //just input start hour of your broker
extern int       endtime = 14; //just input the end hour of your broker

int start()
{
if (tradingtimes)
  {
  int currenttime = TimeHour(TimeCurrent());
  
  
  if (currenttime < starttime || currenttime >= endtime)
      {
      Comment ("outside of trading times");
      return;
      }
      
  Comment ("Start Time ", starttime, "\n", "End Time is ", endtime, "\n", "current time is ", currenttime);
  }
  
	if(!IsTesting()) return;
	if(OrdersTotal()>0) {
		OrderSelect(0,SELECT_BY_POS);
		if((OrderType()==OP_BUY  && Bid<Low[1]) || (OrderType()==OP_SELL && Bid>High[1]))
			OrderClose(OrderTicket(),OrderLots(),OrderClosePrice(),3,CLR_NONE);
	}
	if(OrdersTotal()==0) {
		if(Bid>High[1]) OrderSend(Symbol(),OP_BUY,Lots,Ask,3,Ask - SL * Point,"HiLoEA",0, Blue);
		else if(Bid<Low[1]) OrderSend(Symbol(),OP_SELL,Lots,Bid,3,Bid + SL * Point,"HiLoEA",0,0, Red);
	}
	return(0);
}
//+------------------------------------------------------------------+